curl --request GET \
--url https://api.apsio.io/v1/projects/{projectId}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apsio.io/v1/projects/{projectId}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apsio.io/v1/projects/{projectId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessions": [
{
"session_id": "<string>",
"app_id": "<string>",
"outcome": "<string>",
"started_at": "2026-10-04T10:15:00.431000000Z",
"last_seen_at": "2026-10-04T10:15:00.431000000Z",
"error_count": 123,
"release": "<string>",
"build": "<string>",
"os_name": "<string>",
"os_version": "<string>",
"device_model": "<string>",
"country": "<string>",
"installation_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Search sessions
Sessions that started in the time range (default: the last 7 days, at most 30), newest first, filtered by app, release, outcome, device model, OS version, errors or issue. Open one with the session timeline.
Authorizations
A project token (apsio_pt_v0...), which reads exactly one project, or an OAuth access token issued for the API, which reads what its user can. Access tokens issued for Apsio's MCP server are accepted only from the MCP server itself.
Path Parameters
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"0192f3a4-0000-7000-8000-00000000a101"
Query Parameters
Start of the time range, inclusive (RFC 3339). Defaults to the range end minus the default length.
"2026-10-01T00:00:00Z"
End of the time range, exclusive (RFC 3339). Defaults to now.
"2026-10-08T00:00:00Z"
Page size, 1 to 200.
1 <= x <= 20050
The next_cursor of the previous page. Opaque.
1024Only this app.
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Only this release.
128crashed, abnormal_exit, or ok (every session that neither crashed nor ended abnormally).
crashed, abnormal_exit, ok device.model.identifier, exactly.
128"iPhone17,1"
os.version, exactly.
64Only sessions with (true) or without (false) handled errors.
true, false Only sessions with an occurrence of this issue in the time range.
^[A-Za-z0-9._:-]{1,128}$With endpoint_host and endpoint_template: one network endpoint.
^[A-Z_]{1,16}$255Only sessions with a request to this endpoint in the time range (/network/endpoints lists them).
256With the endpoint: only sessions where a request to it failed (5xx or no response).
true, false Only sessions that loaded this screen (app.screen.name) in the time range.
1 - 256With screen: only loads of it with a TTID of at least this many milliseconds.
0 <= x <= 600000